Resource Center/Network Service/Network Service Operations/VPC Firewall Operations
POSTVPC Firewall OperationsSince 3.6.0SynchronousAuth Required
CreateFirewallRuleSet
CreateFirewallRuleSet
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe ruleset name.
actionTypeStringOptional. The action taken against data packets.
descriptionStringOptional. The detailed description of the ruleset.
resourceUuidStringOptional. The ruleset UUID.
tagUuidsListOptional. The tag UUIDs.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/vpcfirewalls/ruleSets
/zstack/v1/vpcfirewalls/ruleSets
Request Example
curl -X POST 'http://{host}/zstack/v1/vpcfirewalls/ruleSets' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","actionType":"<actionType>","description":"<description>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "name", "actionType": "drop", "description": "example-des", "enableDefaultLog": false, "isDefault": false, "isApplied": true } }Change History
This API has no change history records yet.
